Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class GDBServer

    java.lang.Object
      avrora.util.help.HelpCategory
          avrora.monitors.MonitorFactory
              avrora.monitors.GDBServer

All Implemented Interfaces:
  HelpItem

public class GDBServer
extends MonitorFactory

The `GDBServer` class implements a monitor that can communicate to gdb via the remote serial protocol (RSP). This allows Avrora to host a program that is executing but is being remotely debugged by gdb. This can all be done without modifications to the `Simulator` class, by simply using probes, watches, and events. NOTE: This monitor is only meant for a single node simulation!

Nested Class Summary
`protected class` | `GDBServer.GDBMonitor` The `GDBMonitor` class implements a monitor that can interactively debug a program that is running in Avrora.

Field Summary
`static java.lang.String` | `HELP`

Fields inherited from class avrora.monitors.MonitorFactory
`options`

Fields inherited from class avrora.util.help.HelpCategory
`COMPARATOR, help, name`

Constructor Summary
`GDBServer()` The constructor for the `GDBServer` class simply creates a new instance that is capable of creating monitors for simulators.

Method Summary
`Monitor` | `newMonitor(Simulator s)` The `newMonitor()` method creates a new monitor for the given simulator.

Methods inherited from class avrora.monitors.MonitorFactory
`processOptions`

Methods inherited from class avrora.util.help.HelpCategory
`addCommandExample, addListSection, addOptionSection, addSection, addSubcategorySection, getHelp, getName, printHelp, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HELP

    public static java.lang.String HELP

Constructor Detail

### GDBServer

    public GDBServer()

  The constructor for the `GDBServer` class simply creates a new instance that is capable of creating monitors for simulators.

Method Detail

### newMonitor

    public Monitor newMonitor(Simulator s)

  The `newMonitor()` method creates a new monitor for the given simulator. The monitor waits for a connection from GDB and then implements the remote serial protocol, allowing GDB to control the Avrora simulation.

  Specified by:
    `newMonitor` in class `MonitorFactory`
  Parameters:
    `s` - the simulator to create a monitor for
  Returns:
    a new `Monitor` instance for the specified simulator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD